# Generated from power_api-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name power_api

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Set of other gems and configurations designed to build incredible APIs
License: MIT
URL: https://github.com/platanus/power_api
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(factory_bot_rails)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-rails)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(rspec_junit_formatter)
# BuildRequires: rubygem(rswag-specs)
# BuildRequires: rubygem(rubocop) = 0.65.0
# BuildRequires: rubygem(rubocop-rspec)
# BuildRequires: rubygem(sqlite3) >= 1.4.2
# BuildRequires: rubygem(sqlite3) < 1.5
BuildArch: noarch

%description
It is a Rails engine that gathers a set of other gems and configurations
designed to build incredible APIs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.circleci
%{gem_instdir}/.coveralls.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/power_api.gemspec
%{gem_instdir}/spec

%changelog
* Tue Aug 24 2021 mockbuilder - 1.0.0-1
- Initial package
